<?php
require_once(getabspath("classes/cipherer.php"));



$tdatabiometrico = array();
$tdatabiometrico[".ShortName"] = "biometrico";

$tdatabiometrico[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"]}" );
$tdatabiometrico[".originalPagesByType"] = $tdatabiometrico[".pagesByType"];
$tdatabiometrico[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"]}" ) );
$tdatabiometrico[".originalPages"] = $tdatabiometrico[".pages"];
$tdatabiometrico[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\"}" );
$tdatabiometrico[".originalDefaultPages"] = $tdatabiometrico[".defaultPages"];


//	field labels
$fieldLabelsbiometrico = array();
$pageTitlesbiometrico = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsbiometrico["Spanish"] = array();
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_id_Socio"] = "Id Accionista";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_socio"] = "Socio";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_ci"] = "Numero C.I.";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_ci_complemento"] = "Complemento";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_ci_procedencia"] = "Procedencia";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_nombres"] = "Nombres";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_apellido_Paterno"] = "Apellido Paterno";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_apellido_Materno"] = "Apellido Materno";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_fecha_Nacimiento"] = "Fecha";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_lugar_Nacimiento"] = "Lugar";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_depto_Nacimiento"] = "Departamento";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_direccion"] = "Direccion";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_profesion"] = "Ocupacion/Profesion";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_telefono"] = "Telefono";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_celular"] = "Celular";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_foto_actual"] = "Foto Actual";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_foto_Ci"] = "PDF CI";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_estado"] = "Estado";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_tipo_Doc"] = "Tipo Documento";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_pais_Nacimiento"] = "Pais";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_sexo"] = "Sexo";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_estado_Civil"] = "Estado Civil";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_apellido_Casada"] = "Apellido Casada";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_tipo_accionista"] = "Tipo Accionista";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_id_dp"] = "Derecho Propietario";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_id_gestion"] = "Id Gestion";
	$fieldLabelsbiometrico["Spanish"]["kardex_socio_bio_id_constitucion"] = "Id Constitucion";
	$fieldLabelsbiometrico["Spanish"]["api_biometrico_success"] = "Success";
	$fieldLabelsbiometrico["Spanish"]["api_biometrico_nombre"] = "Nombre";
	$fieldLabelsbiometrico["Spanish"]["api_biometrico_fechahora"] = "Fechahora";
	$fieldLabelsbiometrico["Spanish"]["api_biometrico_empleadoID"] = "Empleado ID";
}

/*
//	search fields
$tdatabiometrico[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"id_Socio" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_id_Socio"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"socio" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_socio"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"ci" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_ci"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"ci_complemento" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_ci_complemento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"ci_procedencia" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_ci_procedencia"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"nombres" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_nombres"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"apellido_Paterno" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_apellido_Paterno"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"apellido_Materno" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_apellido_Materno"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"fecha_Nacimiento" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_fecha_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"lugar_Nacimiento" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_lugar_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"depto_Nacimiento" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_depto_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"direccion" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_direccion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"profesion" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_profesion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"telefono" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_telefono"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"celular" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_celular"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"foto_actual" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_foto_actual"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"foto_Ci" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_foto_Ci"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"estado" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_estado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"tipo_Doc" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_tipo_Doc"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"pais_Nacimiento" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_pais_Nacimiento"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"sexo" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_sexo"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"estado_Civil" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_estado_Civil"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"apellido_Casada" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_apellido_Casada"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"tipo_accionista" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_tipo_accionista"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"id_dp" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_id_dp"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"id_gestion" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_id_gestion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"kardex_socio_bio", "field"=>"id_constitucion" );
$tdatabiometrico[".searchFields"]["kardex_socio_bio_id_constitucion"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"api_biometrico", "field"=>"success" );
$tdatabiometrico[".searchFields"]["api_biometrico_success"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"api_biometrico", "field"=>"nombre" );
$tdatabiometrico[".searchFields"]["api_biometrico_nombre"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"api_biometrico", "field"=>"fechahora" );
$tdatabiometrico[".searchFields"]["api_biometrico_fechahora"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"api_biometrico", "field"=>"empleadoID" );
$tdatabiometrico[".searchFields"]["api_biometrico_empleadoID"] = $dashField;

// all search fields
$tdatabiometrico[".allSearchFields"] = array();
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_id_Socio";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_socio";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_ci";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_ci_complemento";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_ci_procedencia";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_nombres";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_apellido_Paterno";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_apellido_Materno";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_fecha_Nacimiento";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_lugar_Nacimiento";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_depto_Nacimiento";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_direccion";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_profesion";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_telefono";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_celular";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_foto_actual";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_foto_Ci";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_estado";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_tipo_Doc";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_pais_Nacimiento";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_sexo";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_estado_Civil";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_apellido_Casada";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_tipo_accionista";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_id_dp";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_id_gestion";
$tdatabiometrico[".allSearchFields"][] = "kardex_socio_bio_id_constitucion";
$tdatabiometrico[".allSearchFields"][] = "api_biometrico_success";
$tdatabiometrico[".allSearchFields"][] = "api_biometrico_nombre";
$tdatabiometrico[".allSearchFields"][] = "api_biometrico_fechahora";
$tdatabiometrico[".allSearchFields"][] = "api_biometrico_empleadoID";

// good like search fields
$tdatabiometrico[".googleLikeFields"] = array();
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_id_Socio";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_socio";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_ci";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_ci_complemento";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_ci_procedencia";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_nombres";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_apellido_Paterno";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_apellido_Materno";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_fecha_Nacimiento";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_lugar_Nacimiento";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_depto_Nacimiento";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_direccion";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_profesion";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_telefono";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_celular";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_foto_actual";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_foto_Ci";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_estado";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_tipo_Doc";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_pais_Nacimiento";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_sexo";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_estado_Civil";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_apellido_Casada";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_tipo_accionista";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_id_dp";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_id_gestion";
$tdatabiometrico[".googleLikeFields"][] = "kardex_socio_bio_id_constitucion";
*/

/*
$tdatabiometrico[".dashElements"] = array();

	$dbelement = array( "elementName" => "kardex_socio_bio_record", "table" => "kardex_socio_bio",
		 "pageName" => "","type" => 3);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;
	$dbelement["tabsPageTypes"] = array();
	$dbelement["pageNames"] = array();
					$dbelement["initialTabPageType"] = PAGE_VIEW;


	$tdatabiometrico[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "kardex_socio_bio_search", "table" => "kardex_socio_bio",
		 "pageName" => "","type" => 4);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;


	$tdatabiometrico[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "api_biometrico_search", "table" => "api_biometrico",
		 "pageName" => "","type" => 4);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
		$dbelement["width"] = 800;
		$dbelement["height"] = 600;


	$tdatabiometrico[".dashElements"][] = $dbelement;
*/
$tdatabiometrico[".shortTableName"] = "biometrico";
$tdatabiometrico[".entityType"] = 4;




$tdatabiometrico[".hasEvents"] = false;


$tdatabiometrico[".tableType"] = "dashboard";


																							
$tdatabiometrico[".addPageEvents"] = false;

$tdatabiometrico[".isUseAjaxSuggest"] = true;

$tables_data["biometrico"]=&$tdatabiometrico;
$field_labels["biometrico"] = &$fieldLabelsbiometrico;
$page_titles["biometrico"] = &$pageTitlesbiometrico;

?>